Package org.apache.felix.http.javaxwrappers

# Class PartWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.PartWrapper

All Implemented Interfaces:
  `javax.servlet.http.Part`

public class PartWrapper extends Object implements javax.servlet.http.Part
Part wrapper

## Constructor Summary

Constructors
Constructor
Description
`PartWrapper(@NotNull jakarta.servlet.http.Part p)`
Create new part

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
`String`
`getContentType()`
`String`
`getHeader(String name)`
`Collection<String>`
`getHeaderNames()`
`Collection<String>`
`getHeaders(String name)`
`InputStream`
`getInputStream()`
`String`
`getName()`
`long`
`getSize()`
`String`
`getSubmittedFileName()`
`void`
`write(String fileName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PartWrapper

public PartWrapper(@NotNull @NotNull jakarta.servlet.http.Part p)
Create new part

Parameters:
  `p` - Wrapped part

## Method Details

### getInputStream

public InputStream getInputStream() throws IOException

Specified by:
  `getInputStream` in interface `javax.servlet.http.Part`
Throws:
  `IOException`

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `javax.servlet.http.Part`

### getName

public String getName()

Specified by:
  `getName` in interface `javax.servlet.http.Part`

### getSubmittedFileName

public String getSubmittedFileName()

Specified by:
  `getSubmittedFileName` in interface `javax.servlet.http.Part`

### getSize

public long getSize()

Specified by:
  `getSize` in interface `javax.servlet.http.Part`

### write

public void write(String fileName) throws IOException

Specified by:
  `write` in interface `javax.servlet.http.Part`
Throws:
  `IOException`

### delete

public void delete() throws IOException

Specified by:
  `delete` in interface `javax.servlet.http.Part`
Throws:
  `IOException`

### getHeader

public String getHeader(String name)

Specified by:
  `getHeader` in interface `javax.servlet.http.Part`

### getHeaders

public Collection<String> getHeaders(String name)

Specified by:
  `getHeaders` in interface `javax.servlet.http.Part`

### getHeaderNames

public Collection<String> getHeaderNames()

Specified by:
  `getHeaderNames` in interface `javax.servlet.http.Part`